Get Namespace
Get a Namespace
Retrieves the specified namespace
Request
URI
GET
https://{api_host}/cloudapi/v1/namespaces/{namespaceUrn}
COPY
Path Parameters
string
namespaceUrn
Required
namespaceUrn
Responses
200
OK
Returns
Namespace
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
NamespaceSummary ,
InlineNamespace1
{
"id": "string",
"name": "string",
"description": "string",
"projectAssignment": {
"name": "string",
"id": "string"
},
"organization": {
"name": "string",
"id": "string"
},
"region": {
"name": "string",
"id": "string"
},
"virtualPrivateCloudName": "string",
"workloadNetwork": {
"name": "string",
"id": "string"
},
"zonalResourceAllocation": [
{
"zone": {
"name": "string",
"id": "string"
},
"resourceAllocation": {
"memoryLimitMiB": 0,
"memoryReservationMiB": 0,
"cpuLimitMHz": 0,
"cpuReservationMHz": 0,
"vmClassReservations": [
{
"virtualMachineClassName": "string",
"count": 0,
"usedCount": 0
}
],
"realizedMemoryLimitMiB": 0,
"realizedMemoryReservationMiB": 0,
"realizedCpuLimitMHz": 0,
"realizedCpuReservationMHz": 0,
"memoryUsedMiB": 0,
"cpuUsedMHz": 0,
"markedForRemoval": false
},
"errorMessage": "string",
"realizedStatus": "string"
}
],
"proxyURL": "string",
"status": "string",
"vcReference": {
"supervisorUuid": "string",
"vcUuid": "string"
},
"segName": "string",
"lastModifiedTime": "string",
"storageClasses": [
{
"storageClass": {
"name": "string",
"id": "string"
},
"storageLimitMiB": 0,
"realizedStorageLimitMiB": 0
}
],
"virtualMachineClasses": [
{
"name": "string",
"id": "string"
}
],
"contentLibraries": [
{
"name": "string",
"id": "string"
}
],
"sharedSubnetNames": [
"string"
],
"infraPolicies": [
{
"infraPolicy": {
"name": "string",
"id": "string"
},
"enforcedBy": "string",
"enforcementStatus": "string"
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/namespaces/{namespaceUrn}
Availability
Added in 9.0.0
On This Page
Namespaces Operations
GET
Get Namespaces
POST
Create Namespace
POST
Import Namespace
GET
Get Namespace
PUT
Update Namespace
DELETE
Delete Namespace
GET
Get Namespace Storage Class Metrics